\name{calculate_haplotype_distances}
\alias{calculate_haplotype_distances}

\title{
	 Calculate window-wise haplotype distance metrics
}
\description{
	Calculates all pairwise distances between the chromosome segments in 'geno' 
	for each genomic region defined in 'win_df' and analyses the properties 
	of the distribution of distances.
}
\usage{
calculate_haplotype_distances(geno, win_df)
}

\arguments{
  \item{geno}{
	A data frame with all genotypes to be analysed, typically generated by 
	\code{\link{generate_geno_df}}.
}
  \item{win_df}{
	A data frame with all genomic regions to be analysed, typically generated by 
	\code{\link{construct_window_annotation}}.
}
}
\value{
	\item{rel_sd }{An array of the relative standard deviation, normalised by the total number of SNPs in the window, of the distance distribution for each analysed window}
	\item{rel_diff}{An array of the difference between the largest and smallest distance, normalised by the total number of SNPs in the window,  for each analysed window}
	\item{dip_stat}{An array of the diptest statistic for each analysed window}
	\item{n_snps}{An array of the number of SNPs in each analysed window}
}
\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
	\code{\link{generate_geno_df}}, 
	\code{\link{construct_window_annotation}}
}

