\name{excise_individuals}
\alias{excise_individuals}

\title{
	Remove unwanted individuals
}
\description{
	Removes unwanted individuals from the genotype data frame	
}
\usage{
excise_individuals(geno, omission_list, inclusion_list = NULL, sample_list = NULL)
}

\arguments{
  \item{geno}{
  	The genotype data frame, typically from \code{\link{generate_geno_df}}.
}
  \item{omission_list}{
		Optional vector of samples to omit, either as a numeric vector of their position
		in the genotype data, or a character vector with entries matching those in 
		'sample_list'.
}
  \item{inclusion_list}{
		Optional vector of samples to include as a character vector with entries matching those in 
		'sample_list'.
}
  \item{sample_list}{
		Optional character vector of samples, needed unless 'omission_list' is numeric.
}
}
\value{
	A data frame with only the desired genotypes remaining.
}

\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}
\note{
	The procedure is slow for large data sets, consider trimming the input files instead
	in that case.
}
\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
	\code{\link{generate_geno_df}}
}
