\name{output_peak_table}
\alias{output_peak_table}

\title{
	Create/write a table of detected peaks
}
\description{
	Creates and/or writes a table of peaks detected in a haplotype distance scan.
}
\usage{
output_peak_table(top_pos_set, window_df, file_prefix = "", write_files = F, hap_dist_scan = NULL)
}

\arguments{
  \item{top_pos_set}{
	A list, typically from \code{\link{plot_hap_dist_scan}} containing the location of significant 
	regions. 
}
  \item{window_df}{
	A data frame describing the windows used in the scan, typically from 
	\code{\link{construct_window_annotation}}.
}
  \item{file_prefix}{
	Optional. Path to where the output files are to be located
}
  \item{write_files}{
	Logical. If FALSE, no files are written
}
  \item{hap_dist_scan}{
	Optional list of values from \code{\link{calculate_haplotype_distances}}, if included the value of 
	the relevant statistic is added to the ouput
}
}

\value{
  	\item{dip }{A data frame with regions significant for the dip statistic, 
  		positions are in units of kb}
  	\item{sd }{A data frame with regions significant for the relative standard deviation, 
  		positions are in units of kb}

}

\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}


\seealso{
	\code{\link{plot_hap_dist_scan}}, 
	\code{\link{construct_window_annotation}}, 
	\code{\link{calculate_haplotype_distances}}
}