\name{plot_hap_dist_scan}
\alias{plot_hap_dist_scan}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	Manhattan plot of a haplotype distance scan
}
\description{
	Produces a Manhattan plot of a haplotype distance scan, and returns a list 
	of significant regions.
}
\usage{
plot_hap_dist_scan(hap_dist_scan, window_df, filter_cutoff = 50, tracks = c("sd", "dip", "snps"), pdf_file = "", svg_file = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{hap_dist_scan}{
	Data frame from \code{\link{calculate_haplotype_distances}}, contains the result of the scan.
}
  \item{window_df}{
	A data frame describing the windows used in the scan.
}
  \item{filter_cutoff}{
 	Integer determining the cutoff for excluding windows
}
  \item{tracks}{
	Character vector determining which tracks to plot
}
  \item{pdf_file}{
	Optional file for PDF output.
}
  \item{svg_file}{
	Optional file for SVG output.
}
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
	\item{sd }{A list of with regions significant for the relative standard deviation}
	\item{dip }{A list of with regions significant for the dip statistic}
	\item{diff }{A list of with regions significant for the relative difference}
 	\item{sd_t }{Significance threshold for the relative standard deviation}
 	\item{dip_t }{Significance threshold for the dip statistic}
 	\item{diff_t }{Significance threshold for the relative difference}

}
\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
	\code{\link{calculate_haplotype_distances}}
}