\name{plot_top_regions}
\alias{plot_top_regions}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
 	Plots describing a set of significant regions
}
\description{
	Plots describing a set of regions. For each region there is a histogram of distances,
	a hclust-based tree and a heatmap.
}
\usage{
plot_top_regions(top_pos, win_df, geno, sample_list = NULL, plot_dir = "", snp_col = "orange", snp_lwd = 0.1, snp_alpha = 50)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{top_pos}{
	A vector, typically an element from a \code{\link{plot_hap_dist_scan}} list, containing the location of significant 
	regions.
}
  \item{win_df}{
	A data frame with all genomic regions to be analysed, typically generated by \code{\link{construct_window_annotation}}.
}
  \item{geno}{
	A data frame containing all SNPs and genotypes, typically created by \code{\link{generate_geno_df}}.
}
  \item{sample_list}{
	Character vector of samples.
}
  \item{plot_dir}{
	Optional path to the directory to contain the plots.
}
  \item{snp_col}{
	SNP color for haplotype visualisation plot.
}
  \item{snp_lwd}{
	SNP line width for haplotype visualisation plot.
}
  \item{snp_alpha}{
	SNP alpha value for haplotype visualisation plot.
}
}

\value{
	A list of 'hclust' objects representing each region.
}

\author{
%%  ~~who you are~~
	Mats E. Pettersson (mats.pettersson@imbim.uu.se)
}

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
	\code{\link{plot_hap_dist_scan}}, 
	\code{\link{construct_window_annotation}}, 
	\code{\link{generate_geno_df}}
}